Bug 992199 - Recent stable updates to vzctl 4.3.1-1 (4.4-x) fail due to missing dependancy
Recent stable updates to vzctl 4.3.1-1 (4.4-x) fail due to missing dependancy
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: vzctl (Show other bugs)
18
All Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Glauber Costa
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-04 23:30 EDT by LightDot
Modified: 2014-02-05 18:25 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 18:25:05 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description LightDot 2013-08-04 23:30:40 EDT
Description of problem:

vzctl-core-4.4-2 requires crtools. This package isn't available in Fedora 18.

Error:

Resolving Dependencies
--> Running transaction check
---> Package vzctl-core.x86_64 0:4.3.1-3.fc18 will be updated
---> Package vzctl-core.x86_64 0:4.4-2.fc18 will be an update
--> Processing Dependency: crtools for package: vzctl-core-4.4-2.fc18.x86_64
--> Finished Dependency Resolution
Error: Package: vzctl-core-4.4-2.fc18.x86_64 (updates)
           Requires: crtools
Comment 1 Andrey Vagin 2013-08-05 16:16:12 EDT
Hi LightDot,

Could you try out this one http://kojipkgs.fedoraproject.org//packages/vzctl/4.4/3.fc18/x86_64/vzctl-debuginfo-4.4-3.fc18.x86_64.rpm

Sorry for inconvenience
Comment 2 LightDot 2013-08-05 19:13:24 EDT
Hi Andrey,

sure, crtools is gone from the requirements, so vzctl-core installs/upgrades normally.

Perhaps crtools could stay as a requirement for Fedora > 18, but that's just a suggestion.

Let me know if any further F18 tests are needed.
Comment 3 Andrey Vagin 2013-08-06 01:26:10 EDT
(In reply to LightDot from comment #2)
ormally.
> 
> Perhaps crtools could stay as a requirement for Fedora > 18, but that's just
> a suggestion.


Sure, I removed crtools only for FC18.
Comment 4 Fedora Update System 2013-08-06 02:33:32 EDT
vzctl-4.4-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/vzctl-4.4-3.fc18
Comment 5 Fedora Update System 2013-08-06 19:33:48 EDT
Package vzctl-4.4-3.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing vzctl-4.4-3.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-14318/vzctl-4.4-3.fc18
then log in and leave karma (feedback).
Comment 6 Fedora End Of Life 2013-12-21 10:52:09 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2014-02-05 18:25:05 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.